Page MenuHomePhabricator

Parsoid doesn't url-decode link before sending it to mediawiki-title
Closed, ResolvedPublic

Description

For the following page parse: /fr.wikipedia.org/v3/page/pagebundle/Discussion_utilisateur%3ADr.mbl%2FArchives%2FArchives_1/115486048 parsoid throws an invalid-title-chars error. The title that causes it is Discussion_utilisateur:Dr.mbl/Archives/Archives_1/Aide:Jargon_de_Wikip%C3%A9dia - note that the %C3%A9 wasn't URI-decoded before sending to mediawiki-title.

Event Timeline

Pchelolo created this task.Aug 10 2016, 6:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2016, 6:47 PM
ssastry triaged this task as Medium priority.Aug 15 2016, 9:32 PM

Change 307871 had a related patch set uploaded (by Subramanya Sastry):
T142617: Decode entities in transclusion targets before processing them

https://gerrit.wikimedia.org/r/307871

ssastry moved this task from Backlog to In Progress on the Parsoid board.Aug 31 2016, 9:09 PM

Change 307871 merged by jenkins-bot:
T142617: Handle invalid titles in transclusions

https://gerrit.wikimedia.org/r/307871

Mentioned in SAL [2016-09-06T17:38:10Z] <arlolra> updated Parsoid to version 7863e6ad (T142617)

ssastry closed this task as Resolved.Sep 26 2016, 3:59 PM
ssastry removed a project: Patch-For-Review.